Module java.corba
Package org.omg.CORBA

## Class ServiceDetailHelper

- java.lang.Object
- - org.omg.CORBA.ServiceDetailHelper

-     public abstract class ServiceDetailHelper
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServiceDetailHelper​()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ServiceDetail` | `extract​(Any a)` |
    `static String` | `id​()` |
    `static void` | `insert​(Any a, ServiceDetail that)` |
    `static ServiceDetail` | `read​(InputStream in)` |
    `static TypeCode` | `type​()` |
    `static void` | `write​(OutputStream out, ServiceDetail that)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceDetailHelper

          public ServiceDetailHelper​()

  - ### Method Detail

    - #### write

          public static void write​(OutputStream out,
                                   ServiceDetail that)

    - #### read

          public static ServiceDetail read​(InputStream in)

    - #### extract

          public static ServiceDetail extract​(Any a)

    - #### insert

          public static void insert​(Any a,
                                    ServiceDetail that)

    - #### type

          public static TypeCode type​()

    - #### id

          public static String id​()